Bedingte Mehrfachauswahl: Nur eine bestimmte Option wählbar?

More
4 years 10 months ago - 4 years 10 months ago #88613 by Dth666Mtl0
Dth666Mtl0 created the topic: Bedingte Mehrfachauswahl: Nur eine bestimmte Option wählbar?
Hey Ho an alle hier,
ich habe ein Problem (sonst würd ich mich ja nicht hier melden :D )...
Ich soll eine kleine Umfrage erstellen und bin auf ein für mich großes Problem gestoßen und auch Tante Google und die Forensuche haben mir nicht geholfen (oder ich war blind bisher):

Es geht um eine Frage mit Mehrfachauswahl:
Es soll zw. 5 Antwortoptionen gewählt werden können. AntOp 1-4 soll normal mehrfach wählbar sein. Sollte jedoch Option 5 gewählt werden, soll nur diese Option wählbar sein, die anderen nicht (greyed-out oder sowas). Wie realisiere ich das? Dazu kommt noch, dass bei Option 5 ein Kommentarfeld angezeigt werden soll. Aber eigentlich nur bei 5tens, beim Rest nicht. Ich nutze daher die Option "Mehrfachauswahl mit Kommentar" aber da zeigt es mir halt überall so ein Feld an. Achso: die Uni hat leider nur Version 1.86 (7697) installiert...

Ich habe grad die Idee gehabt einfach die ersten 4 Optionen anzuzeigen und dann Sonstiges oder ähnliches und dann eine Abfrage zu starten und wenn da Sonstiges gewählt wurde, zeigt er eine zusätzliche Frage an (Option 5), sonst nicht. Aber vielleicht gibt es ja "schönere" Wege dafür.

Grüße!
Last Edit: 4 years 10 months ago by Dth666Mtl0.

Please Log in to join the conversation.

More
4 years 9 months ago #88997 by jelo
jelo replied the topic: Aw: Bedingte Mehrfachauswahl: Nur eine bestimmte Option wählbar?

Dth666Mtl0 wrote: Es geht um eine Frage mit Mehrfachauswahl:
Es soll zw. 5 Antwortoptionen gewählt werden können. AntOp 1-4 soll normal mehrfach wählbar sein. Sollte jedoch Option 5 gewählt werden, soll nur diese Option wählbar sein, die anderen nicht (greyed-out oder sowas). Wie realisiere ich das?

Geht mit 1.92+ über eine Option Exklusive option
docs.limesurvey.org/Frage-Attribute&stru...vey#Exklusive_Option

Die Uni sollte die Version auf 1.92+ updaten. Oder für neue Befragungen 2.X installieren.
Stichwort Datensicherheit und Sicherheitslücken. Kann ja nicht im Sinne der Uni sein, veraltete Installationen für aktuelle Befragungen zu nutzen.

Dazu kommt noch, dass bei Option 5 ein Kommentarfeld angezeigt werden soll. Aber eigentlich nur bei 5tens, beim Rest nicht. Ich nutze daher die Option "Mehrfachauswahl mit Kommentar" aber da zeigt es mir halt überall so ein Feld an. Achso: die Uni hat leider nur Version 1.86 (7697) installiert...


Du könntest die anderen Felder via Javascript/CSS ausblenden.
www.limesurvey.org/en/forum/can-i-do-thi...ts-text-box-and-more

oder ähnliches und dann eine Abfrage zu starten und wenn da Sonstiges gewählt wurde, zeigt er eine zusätzliche Frage an (Option 5), sonst nicht. Aber vielleicht gibt es ja "schönere" Wege dafür.

Das ist die übliche Lösung. Klappt auch gut.
The following user(s) said Thank You: Dth666Mtl0

Please Log in to join the conversation.

Start now!

Just create your account and start using Limesurvey today.

Register now